using System;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace MileageTraker.Web.ViewModels.User
{
	public class SetPasswordViewModel
	{
		[HiddenInput(DisplayValue = false)]
		public Guid UserId { get; set; }

		[HiddenInput(DisplayValue = false)]
		public string Username { get; set; }

		[Required]
		[StringLength(100, ErrorMessage = "The {0} must be at least {2} characters long.", MinimumLength = 6)]
		[DataType(DataType.Password)]
		[Display(Name = "New password")]
		public string NewPassword { get; set; }

		[DataType(DataType.Password)]
		[Display(Name = "Confirm new password")]
		[Compare("NewPassword", ErrorMessage = "The new password and confirmation password do not match.")]
		public string ConfirmPassword { get; set; }
	}
}
